package helmhelper

import "git.badhouseplants.net/allanger/shoebill/internal/config/repository"

const MOCK_LATEST_VERSION = "v1.12.1"

type Mock struct{}

func NewHelmMock() Helmhelper {
	return &Mock{}
}

func (h *Mock) FindLatestVersion(dir, chart string, repository repository.Repository) (version string, err error) {
	return MOCK_LATEST_VERSION, nil
}
